<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Redirection page                                          */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('includes/config.php');

$args = array(
    'formulaire' => array(
        'filter' => FILTER_SANITIZE_STRING,
        'flags'  => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
    'profile' => array(
        'filter' => FILTER_SANITIZE_STRING,
        'flags'  => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
    'pseudo' => array(
        'filter' => FILTER_SANITIZE_STRING,
        'flags'  => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
);
$inputs = filter_input_array(INPUT_GET, $args);
if ( empty($inputs) ) {
    $inputs = array(
        'formulaire' => false,
        'profile' => false,
        'pseudo' => false,
        );
}

$redirectUrl = 'https://secure.securitetotale.fr/cb.php?module=guest_cbsys_preform&id=' . $config['id'] . '&w=0&force_step1=1&action=step2&idp=1&num_facturation=1&langue=fr&e=1&noexit=0&synergie=hetero&oldrf=pvaH_xxx&tracker=' . $config['tracker'] . '_bugCoreg';
$profileUrl = $config['directory'] . '/thumbs/hetero/adult2/240x320/hard/ingrid333_29.jpg';

if ( !empty($inputs['formulaire']) ) {
    $redirectUrl = base64_decode($inputs['formulaire']);
}

if ( !empty($inputs['profile']) ) {
    $profileUrl = preg_replace('`/(100x100|120x120|120x160|150x150|180x240|200x200|230x310|240x180|240x320|60x60)/(soft|sexy|hard)/`', '/240x320/$2/', $inputs['profile']);
}
?>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Création de votre compte gratuit en cours ...</title>

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap-theme.min.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <style>
    .checks ul { margin: 20px; list-style-type : none; }
    .checks ul li { height: 30px; line-height: 30px; margin: 10px 0; text-align: left; }
    .checks ul li i { color: green; }
    </style>
    <meta http-equiv="refresh" content="2; URL=<?php echo $redirectUrl; ?>">

</head>
<body>

<br><br>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-8 col-sm-offset-2">
            <div class="panel panel-success">
                <div class="panel-heading">Création de votre accès gratuit et illimité</div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4 hidden-xs">
                            <img src="<?php echo $profileUrl; ?>" alt="" class="img-responsive img-thumbnail">
                        </div>
                        <div class="col-sm-8 col-xs-12">

                            <?php if ( !empty($inputs['pseudo']) ) : ?>
                                <p>Bienvenue <?php echo $inputs['pseudo']; ?> !</p>
                            <?php endif; ?>
                            <p><strong><big>La création de votre compte gratuit en cours veuillez patienter quelques instants ...</big></strong></p>
                            <div class="progress">
                                <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width:30%"> </div>
                            </div>

                            <br>

                            <div class="checks hidden-xs">
                                <ul>
                                    <li> <i class="fa fa-square-o" aria-hidden="true"></i> Localisation de profils proches de chez vous.</li>
                                    <li> <i class="fa fa-square-o" aria-hidden="true"></i> Analyse des différents profils recueillis.</li>
                                    <li> <i class="fa fa-square-o" aria-hidden="true"></i> Test de la comptabilité sexuelle.</li>
                                </ul>
                            </div>

                            <br> 

                            <p class="text-muted">En raison du caractère adulte des rencontres proposées, il se peut qu'une vérification de votre majorité soit demandée (sécurisé et anonyme).</p>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script>
$(document).ready(function() {
    setTimeout(function(){ 
        $('.checks ul li:first-child i').removeClass('fa-square-o').addClass('fa-check-square-o'); 
        $('.progress-bar').css('width', '60%');
    }, 500);
    setTimeout(function(){ 
        $('.checks ul li:nth-child(2) i').removeClass('fa-square-o').addClass('fa-check-square-o'); 
        $('.progress-bar').css('width', '80%');
    }, 1200);
    setTimeout(function(){ 
        $('.checks ul li:nth-child(3) i').removeClass('fa-square-o').addClass('fa-check-square-o'); 
        $('.progress-bar').css('width', '100%');
    }, 1800);
});
</script>

</body>
</html>