<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Functions file                                            */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

function GetRemoteFileContent($url)
{
    if (! function_exists('curl_init')) {
        return file_get_contents($url);
    }
    $ch = curl_init();
    $args = array(
        CURLOPT_URL => $url,
        CURLOPT_TIMEOUT => 10,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_USERAGENT => "Mozilla/5.0 (Windows NT 6.0; WOW64; rv:21.0) Gecko/20130320 Firefox/21.0",
        );
    curl_setopt_array($ch, $args);
    $content = curl_exec($ch);
    curl_close($ch);
    return $content;
}

function getClientIp()
{
    $fields = array(
        'HTTP_CLIENT_IP',
        'HTTP_X_FORWARDED_FOR',
        'HTTP_X_FORWARDED',
        'HTTP_FORWARDED_FOR',
        'HTTP_FORWARDED',
        'REMOTE_ADDR',
        );
    foreach ($fields as $key) {
        if (isset($_SERVER[$key])) {
            $clientIp = $_SERVER[$key];
            return $_SERVER[$key];
        }
    }
    return '';
}

// Thumbs / niche management
$idThumbsShare = 151;
$gtw = 'http://gtw.yesmessenger.com/';
switch ( $config['id_mb'] ) {
    case 'rh':
        $gtw = 'http://gtw.rencontreshard.com/';
        break;
    case 2185:
        $gtw = 'http://gtw.girlsmessenger.com/';
        break;
    case 2185:
        $gtw = 'http://gtw.girlsmessenger.com/';
        break;
    case 2841:
        $gtw = 'http://gtw.infidelemessenger.com/';
        break;
    case 2840: 
        $idThumbsShare = 173;
        $gtw = 'http://gtw.cougarmessenger.com/';
        break;
    case 2944: 
        $idThumbsShare = 179;
        $gtw = 'http://gtw.asiatmessenger.com/';
        break;
    case 2945:
        $idThumbsShare = 183;
        $gtw = 'http://gtw.afromessenger.com/';
        break;
    case 2946:
        $idThumbsShare = 174;
        $gtw = 'http://gtw.beurettemessenger.com/';
        break;
    case 2947:
        $idThumbsShare = 192;
        $gtw = 'http://gtw.transexmessenger.com/';
        break;
}